<?xml version="1.0" encoding="utf-8"?>
<!-- res/navigation/nav_graph.xml -->
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/baseViewFragment">

    <fragment
        android:id="@+id/baseViewFragment"
        android:name="com.audio.record.screen.test.fragment.StartFragment"
        android:label="Base View"
        tools:layout="@layout/fragment_start">

        <action
            android:id="@+id/action_to_fragmentCut"
            app:destination="@id/fragmentCut" />

        <action
            android:id="@+id/action_to_fragmentCropping"
            app:destination="@id/fragmentCropping" />

        <action
            android:id="@+id/action_to_fragmentVolume"
            app:destination="@id/fragmentVolume" />

        <action
            android:id="@+id/action_to_fragmentSpeed"
            app:destination="@id/fragmentSpeed" />
    </fragment>


    <fragment
        android:id="@+id/fragmentCut"
        android:name="com.audio.record.screen.test.fragment.CutFragment"
        android:label="Fragment Cut"
        tools:layout="@layout/fragment_cut" />

    <fragment
        android:id="@+id/fragmentCropping"
        android:name="com.audio.record.screen.test.fragment.CropFragment"
        android:label="Fragment Cropping"
        tools:layout="@layout/fragment_crop" />

    <fragment
        android:id="@+id/fragmentVolume"
        android:name="com.audio.record.screen.test.fragment.VolumeFragment"
        android:label="Fragment Volume"
        tools:layout="@layout/fragment_volume" />
    <fragment
        android:id="@+id/fragmentSpeed"
        android:name="com.audio.record.screen.test.fragment.SpeedFragment"
        android:label="Fragment Speed"
        tools:layout="@layout/fragment_speed" />
</navigation>